Bug 6732 - [Ser] Make clear for which values of version parameter the serialization recommendation provides normative definitions
[Ser] Make clear for which values of version parameter the serialization reco...
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Serialization 1.0
Recommendation
PC Windows XP
: P2 normal
: ---
Assigned To: Henry Zongaro
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 16:56 UTC by Henry Zongaro
Modified: 2010-07-05 13:17 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Zongaro 2009-03-24 16:56:23 UTC
Bug 6129 requests a number of changes to serialization to support HTML 5.0.

Michael Kay suggested in [1] that an erratum should be applied to the published 1.0 version of serialization to permit implementations to override the requirements of the serialization recommendation in those places where it says things that conflict with versions of XML, HTML or XHTML that have not yet been published.

At a joint meeting of the XQuery and XSL working groups, there was support for marking the original bug 6129 as a request for enhancement against a future revision of the Serialization recommendation, and raising an erratum against the 1.0 Serialization recommendation indicating that it normatively defines serialization for the xml and xhtml output method only with version parameter equal to 1.0 and 1.1, and for the html output method only with version parameter set to any value up to and including 4.01.

I propose the following changes to Serialization 1.0:

1. In section 5.1.1 after the first paragraph add the following paragraph:

"This document provides the normative definition of serialization for the XML output method if the version parameter has either the value 1.0 or 1.1.  For any other value of version parameter, the behavior is implementation-defined.  In that case the implementation-defined behavior MAY supersede all other requirements of this recommendation."

2. In section 7.4.1 after the first paragraph add the following paragraph:

"This document provides the normative definition of serialization for the HTML output method if the version parameter has the lexical form of a value of type decimal whose value is 1.0 or greater, but no greater than 4.01.  For any other value of version parameter, the behavior is implementation-defined.  In that case the implementation-defined behavior MAY supersede all other requirements of this recommendation."

3. In appendix D, "Checklist of Implementation-Defined Features," add item 7:

"If an implementation supports a value of the version parameter for the XML, XHTML or HTML output method for which this document does not provide a normative definition, the behavior is implementation-defined.  (See "5.1.1 XML Output Method: the version Parameter" and "7.4.1 HTML Output Method: the version Parameter")"

[1] http://www.w3.org/Bugs/Public/show_bug.cgi?id=6129#c1
Comment 1 Henry Zongaro 2009-04-21 14:17:54 UTC
[Adding Jirka to the cc: list, as he originated the enhancement request of bug 6129.]

The changes to the Serialization 1.0 Recommendation were approved at joint teleconference #397 of the XSL and XQuery Working Groups on 14 April, 2009.  [Member only link: <http://lists.w3.org/Archives/Member/w3c-xsl-query/2009Apr/0023.html>]

Comment 2 Henry Zongaro 2009-04-30 19:22:46 UTC
As a number of XSL WG members do not regularly attend the joint XSL/XQuery teleconference, I asked the XSL WG to confirm the decision from the joint teleconference.  The XSL WG did so at its teleconference of 30 April, 2009.  [Member-only link to minutes <http://lists.w3.org/Archives/Member/w3c-xsl-wg/2009Apr/0073.html>.]

This will be erratum SE.E12.

Jirka, as you originated the enhancement request in Bug 6129 (which XSL and XQuery still will consider for a future version of the Serialization Recommendation), could I ask you to confirm that this erratum against Serialization 1.0 is a satisfactory interim solution for HTML 5.0?
Comment 3 Jirka Kosek 2009-04-30 21:13:19 UTC
Hi Henry,

thanks, I think that the proposed erratum is completely satisfactory.

Jirka
Comment 4 Franklin Tse 2010-07-04 15:52:56 UTC
(In reply to comment #2)
> As a number of XSL WG members do not regularly attend the joint XSL/XQuery
> teleconference, I asked the XSL WG to confirm the decision from the joint
> teleconference.  The XSL WG did so at its teleconference of 30 April, 2009. 
> [Member-only link to minutes
> <http://lists.w3.org/Archives/Member/w3c-xsl-wg/2009Apr/0073.html>.]
> This will be erratum SE.E12.
> Jirka, as you originated the enhancement request in Bug 6129 (which XSL and
> XQuery still will consider for a future version of the Serialization
> Recommendation), could I ask you to confirm that this erratum against
> Serialization 1.0 is a satisfactory interim solution for HTML 5.0?

Although the comment above stated that the XSL WG has fixed this issue as erratum SE.E12, Errata for XSLT 2.0 and XQuery 1.0 Serialization <http://www.w3.org/XML/2007/qt-errata/xslt-xquery-serialization-errata.html> has not been updated and there is no new PER for XSLT 2.0 and XQuery 1.0 Serialization (Second Edition) since April 2009. What is the current status of this issue?
Comment 5 Henry Zongaro 2010-07-05 13:03:36 UTC
Jim Melton added this comment on the public-qt-comments@w3.org mailing list in response to comment #4.  I am pasting it here for convenience:

     We do not have the resources to republish the Errata documents, much 
     less the PER documents, every time we fix a bug.  At some point, when 
     we have accumulated enough changes that the WG decides that the 
     cost/benefit ratio is suitable, we'll republish the appropriate 
     Errata documents.  We will almost certainly NOT publish a revised PER 
     document, but will instead publish the Edited Recommendation (second 
     edition) document; that, however, cannot happen until a few more 
     milestones have been reached.

     Hope this helps,
         Jim

I will just add that the practice of the XQuery and XSL working groups is to mark a bug as "RESOLVED/FIXED" as soon as the working groups have made a decision, and to ask the originator of the bug to mark the bug as "CLOSED" if the decision is acceptable.  In this case, when the working groups decide to republish errata documents, this will be erratum SE.E12.